พบช่องโหว่ cross-site scripting บน Wordpress Plugin : Ultimate Instagram Feed

เราได้รับรายงานแจ้งเตือนช่องโหว่ด้านความปลอดภัยของ Ultimate Instagram Feed Plugin ช่องโหว่นี้เกิดจากการตรวจสอบความถูกต้องของอินพุตที่ผู้ใช้ให้ข้อมูลไม่ถูกต้องโดยสคริปต์ Script ที่ชื่อว่า uif-access-token-display.php โดยใช้พารามิเตอร์ ‘access_token’  Hacker จะใช้ช่องโหว่นี้เพื่อ เพื่อแทรกสคริปต์ที่เป็นอันตรายลงในเว็บเพจซึ่งจะถูกเรียกใช้ในเว็บ และเมื่อมีการเรียกดูหน้าเว็บ Hacker จะใช้ช่องโหว่นี้ขโมยค่า Cookie สำหรับใช้ Authentication ได้

ช่องโหว่ที่ตรวจพบ :
Cross-Site Scripting

ผลิตภัณฑ์ที่เกี่ยวข้อง :
WordPress Ultimate Instagram Feed plugin for WordPress 1.2

แนวทางแก้ไข :
ไม่มีพบแนวทางการแก้ไข ตรวจสอบเมื่อวันที่ 9/11/2017